;
; =========================================================
;
;   DEMO9S08EL32 Test Menu	
;                                 
;   Version:       1.0   Created 12/08/05
;   Author:        Spencer Ruggles , Axiom Mfg.
;   Compiler:      
;       
;   Platform:      DEMO9S08EL32
;   Purpose:       DEMO9S08EL32 Test Menu
; =========================================================
; ================ LOCAL EQUATES =========================
; ================ PROGRAM ===============================
;
; This file  creates the test menu used to test  
; the DEMO9S08EL32 module.  Callable routines include:

TMENU:	
         ldhx #MNU                     ; get menu string
         jsr OUTSTRG                   ; send string
         jsr CRLF                      ; send CR/LF
         ldhx #BD                      ; get board string
         jsr OUTSTRG                   ; send string
         jsr CRLF2                     ; send CR/LF
TMRET:   rts                           ; return

CONTINUE:
         ldhx #CONT                    ; get continue string
         jsr OUTSTRG                   ; send string
         jsr CRLF2                     ; send blank line
         rts                           ; return

TFIX:
         ldhx #TF                      ; get test fixture string
         jsr OUTSTRG                   ; send string
         jsr CRLF                      ; send blank line

         rts


; ================ ROUTINES ===============================


; ================ CONSTANTS ==============================
MNU:     FCB "FUNCTIONAL TEST"
         FCB EOT

BD:      FCB "DEMO9S08EL32 / AXM-0410"
         FCB EOT

CONT:    FCB "Press Any Key to Continue ..."
         FCB EOT

TF:      FCB "Install DUT Test Fixture"
         FCB EOT

REM:     FCB "Remove DUT Test Fixture"
         FCB EOT

PASS:    FCB "IO Test Passed"
         FCB EOT

FAIL:    FCB "IO Test Failed"
         FCB EOT

PB1P:    FCB "Press PB1"
         FCB EOT

PB2P:    FCB "Press PB2"
         FCB EOT
	
RVCCW:   FCB "Rotate RV1 fully CCW"
         FCB EOT
	
RVCW:    FCB "Rotate RV1 fully CW"
         FCB EOT
	
SENC:    FCB "Cover Sensor"
         FCB EOT

SENU:    FCB "Uncover Sensor"
         FCB EOT
	
COMP:    FCB "Test Complete"
         FCB EOT

; ================ INCLUDES ==============================


; ================ RESET  =================================
	